<?xml version="1.0" encoding="utf-8" ?>

<?xml-stylesheet type="text/xsl" href="../test.xsl"?>


<article format="2002.0312">

<article_head>
	<article_id>d30930</article_id>
	<article_date><year>2003</year><month>09</month><day>30</day></article_date>
	<article_addr><sect>8</sect><subsect>11</subsect></article_addr>
	<article_subj>ウェブ埋め込みのFlashを消す／ほか</article_subj>
</article_head>

<article_body>

<p>
<em>
MP3PRO DSFilter / mIRC 6.10+SysResetやっぱり不具合 / MusePack (SV7) DSFilter
</em>
</p>

<h4>
2003年9月28日 <strong>ウェブ埋め込みのFlashを消す</strong>
</h4>

<p>
これまで jTFlashManager を使ってFlashを無効にしていたが、なぜか Mozilla 1.5 RC1 あたりからこのハックが使えなくなった。RC2になっても戻らない。
何か変わった？　Mozillaではイメージは簡単にブロックできるのだが、
同じ調子でフラッシュの上で右クリックしてもブロックがないので、さらにむかつく。
そもそも何でFlashが同梱されているのか。ほしくない。Flashだけアンインストールする方法を調べるのが面倒なので……
</p>
<pre>
*[type=&quot;application/x-shockwave-flash&quot;] {
    visibility: hidden;
}
*[type=&quot;application/x-shockwave-flash&quot;]:after {
    content: &quot;\2620 Baka Flash Killed&quot;;
    font-size: 30px;
    visibility: visible !important;
}
</pre>

<p>
……ユーザスタイルシートに上のを追加した。いいきみだ。	
</p>

<p>
<img alt="Flashがあると「Baka Flash Killed」という文字に置き換わる" src="/image/2003/bakaflash.png" />
</p>

<p>おまけ: BTの募金プリーズがやっぱりうざくて……</p>
<pre>
img[src=&quot;http://f.scarywater.net/bram/greet10.jpg&quot;] {
    display: none;
}
form[action=&quot;https://www.paypal.com/cgi-bin/webscr&quot;] {
    display: none;
}
</pre>

<p>
追記: MozillaのユーザースタイルシートはWindows2000では、例えば次の場所で指定する。<br/>
C:\Documents and Settings\ユーザ名\Application Data\Mozilla\Profiles\default\ランダム文字列\chrome\<br/>
ここに userContent.css というファイルを作る。
</p>




<h4>
2003年9月29日 <strong>MusePack (SV7) DSFilter</strong>
</h4>

<p>
<img class="floatR" alt="" src="/image/logo/musepack.png" />

APE, MP3PRO につづいて今度はMusePackの DirectShow (DS) Filter バイナリーが公開された。任意のDSプレーヤー（Windows Media Player など）から利用できる。</p>

<p>
詳細は別記事「<a href="/articles/8/11/#d30929">MusePack (SV7) DSFilter</a>」
</p>

<!--
<h4>
<img alt="" src="/soft/icons/mirc.png" /> 2003年9月29日 <strong>mIRC 6.10+SysResetやっぱり不具合</strong>: Downgrade Pack配布
</h4>
<p>
<a href="http://uscybersites.net/~sysreset/mirc603sysreset.zip">http://uscybersites.net/~sysreset/mirc603sysreset.zip</a>
</p>

<p>
mIRC 6.10はSysResetと相性問題がある。SysReset開発者側でも、問題が認識された。
</p>

<p>
mIRC6.10は6.03の修正版で、URLを開くときIEでなくデフォルトのブラウザを使うようになるなど、
好ましい改善も見られる。しかしSysReset 2.53とどうにも相性問題があるようで、
手元ではあれこれ試してもfserveが送信中に途切れる現象から逃れられなかった。
6.03環境で実行ファイルだけ6.10で上書きしてみることも試したがだめ。
結局、6.03に戻すことにした。
</p>

<p>
<a href="http://www.sysreset.com/">SysResetのサイト</a>でも some users are reporting problems with 6.10 として、
6.10ユーザ向けに安全に6.03に戻せる「ダウングレード・パック」の配布を始めた。
</p>

<p>
手元で確認している問題は、fserveからの送信が途中で止まって、未完了のまま自動再試行が行われないもの。
未完了の送信がそのまま居残ってキュー・スロットをふさぐので、
fserveの運用上、困る。
すべての環境で起こるわけでないようだ。
（ダウンロード側でも同様の問題があるのかもしれないが、未確認。）
</p>

<p>
ところで、最近、ChatZilla がいい感じ。
UTF-8を通せるので、日本語と他の言語が混ざるようなチャンネルでは特に便利。
mIRCでも切り換えによって各言語を使えるが、
そのつどフォントや言語の設定を変えなければならず面倒。
IRCでもUTF-8が標準になってくれたら、本当に助かる。
ただしUTF-8を使うと現在のmIRCでは読めないし、
Windows 98 でも面倒が起きそうなので、
この問題も解決には時間がかかりそうだ。
</p>
<pre>
SysReset 2.53.23.
Running Addons: News Addon 1.12 + FireWall Monitor 1.03 + Patchbot 2.04 + 
Web Update 1.18 + @Find Addon 1.27 + System Information 1.17 + 
AutoVoicer2 1.05 + Timed Server Events Addon 1.11 + WinAmp Scanner 1.17 + 
KeepAlive 1.02 + Skins Browser 1.01 + File Server Tracker 1.16 + File Server Browser 1.15 
</pre>
-->


<h4>
2003年9月27日　<strong>MP3PRO DSFilter</strong>
</h4>

<p>
<a href="http://forum.doom9.org/showthread.php?s=&amp;threadid=62111&amp;perpage=20&amp;pagenumber=1">MP3PRO (SBR MP3)のDSFilterが公開</a>された。
MP3PRO音声の動画を作ることもできる。
手元では最初うまく再生できなかったが、matrix_mixer.axを登録解除することで問題が解決した。
（IISなどを退避させる必要はなかった。）
</p>

<pre>
Matroska Playback Pack 0.5 に対するコマンド
regsvr32 /u "C:\Program Files\Matroska Playback Pack\matrix_mixer.ax"
</pre>


</article_body>
</article>

